import { FetchOptions } from '../resolve/fetch';
import { ResolveResult } from '../resolve';
export default function fetchRes(res: ResolveResult, target: string, opts: FetchOptions): Promise<void>;
/**
 * clone a git repository.
 */
export declare function clone(repo: string, ref: string, dest: string): Promise<void>;
